:root {
  --main-bg-color: #284cdd;
  --primary-color: #284cdd;
  --primary-color-hover: #122fa5;
  --main-txt-color: white;
}

body{
    font-family: 'Montserrat', sans-serif;
}
html {
  scroll-behavior: smooth;
}
.full-section{
    width: 100%;
    height: 100%;
    min-height: 340px;
}
.full-img{
    width: 100%;
}
.navbar-brand img {
    max-width: 150px;
}
.bg-green-light{
    background-color: #def8b9;
}
.bg-green{
    background-color: #053075;
}

/*
.bg-primary {
    background-color: #2c6ac9 !important;
}
*/
.bg-primary {
    background-color: var(--primary-color) !important;
}

.bg-gray {
    background-color: #eeeeee;
}

.img-full{
    width: 100%;
    height: auto;
}

.posicionado{
    
}

.swiper-slide{
    flex-direction: column;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: transparent;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
    width: 60%;
}
.swiper-button-next, .swiper-button-prev {
    margin-top: 0px !important;
}
.swiper-pagination-bullet {
    width: 10px !important;
    height: 10px !important;
}
.swiper-pagination-bullet-active {
    opacity: 1;
    background: #053075 !important;
}
@media screen and (min-width: 992px){
    .swiper-pagination-bullet-active {
        opacity: 1;
        background: #f8f9fa !important;
    }
}

/* botones de box action */
.box-action{
    width: 200px;
    height: 210px;
    background-color: #053075;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.box-action:hover{
    color: white;
    text-decoration: none;
}


@media screen and (min-width: 992px)
{
    .color-lg-white{
        color: white;
    }
    .w-lg-50{
        width: 50%;
    }
    .w-33{
        width: 33.333%;
    }
    .navbar-light .navbar-nav .nav-link {
        color: rgba(0, 0, 0, 0.9);
    }
    .navbar-font{
        font-size: 1rem;
        font-family: 'Montserrat', sans-serif;
    }
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 1.5rem;
        padding-left: 1.5rem;
    }
}

.modal{
    background-color: #000000e0;
}
.modal-dialog {
    position: relative;
    width: auto;
    margin: 0.5rem;
    pointer-events: none;
    margin: 0px;
    height: 100%;
    width: 100%;
    min-width: 100%;
}
.content-foto-modal{
    width: 100%;
    max-width: 500px;
}
.modal .close{
    position: absolute;
    top: 12px;
    right: 20px;
    z-index: 2030;
    font-weight: 100;
    font-size: 3rem;
    cursor: progress;
}

.orverflow-hidden{
    overflow: hidden;
}
@media screen and (min-width: 992px)
{
    .scale1-2:hover{
        transform: scale(1.2,1.2);
        transition: 1s ease-in-out;
        z-index: 1000;
    }
}

.img-full{
    width: 100%;
    height: auto;
}

@media (max-width: 767.98px) {

    .navbar-collapse{
        background-color: #343a40;
        position: absolute;
        top: 100%;
        right: 0px;
        z-index: 1030;
        padding: 10px;
        width: 280px;
        left: 0px;
    }
    .navbar-light .navbar-nav .active > .nav-link{
        color: #fff;
        font-weight: 800;
    }

    .navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
        color: #fff;
    }
    .navbar-light .navbar-nav .nav-link {
        color: #fff;
        color: white;
        font-weight: bold;
        border-bottom: 1px solid #fff;
        text-transform: uppercase;
    }
    .nav-link {
        color: #fff !important;
    }
}

.navbar-toggler {
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

/*
.nav-link {
    color: #284cde;
    font-weight: 800;
}
*/

/*
.nav-link:focus,.nav-link:hover {
    border-bottom: 8px solid #284cde;
    text-transform: uppercase;
    color: var(--primary-color);
}
*/
/*
.nav-link:hover {
    border-bottom: 8px solid #284cde;
    color: var(--primary-color);
}

.nav-item.active {
    border-bottom: 8px solid #284cde;
    margin-bottom: -8px;
    color: var(--primary-color);
}
*/

.text-primary {
    color: #284cde !important;
}

.border-title {
    width: 60px;
    border-width: 4px;
    background-color: #284cde;
    margin-top: 0;
}

h2 {
    display: inline-block;
    position: relative;
}

.underline::after {
    content: '';
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    display: block;
    height: 0.1em;
    width: 30%;
    border-bottom: 4px solid;
    margin-top: 4px;
}

.underline-left::after {
    content: '';
    left: 0;
    position: relative;
    display: block;
    height: 0.1em;
    width: 20%;
    border-bottom: 4px solid;
    margin-top: 4px;
}

#esp .underline-left::after {
    margin-top: 0rem;
}

.v-btn {
    background-color: #2c6ac9 !important;
}

.v-messages__message, .error--text,
label.v-label.theme--light.error--text {
    color: red;
}

.container {
    padding-top: 0;
    padding-bottom: 0;
}

.display-1, .display-2, .display-3, .display-4 {
    font-family: 'Montserrat', sans-serif !important;
}
.display-3 {
    font-size: 4.5rem !important;
    font-weight: 300 !important;
    line-height: 1.2 !important;
    letter-spacing: inherit !important;
}

.display-4 {
    font-size: 3.5rem !important;
    font-weight: 300 !important;
    line-height: 1.2 !important;
    letter-spacing: inherit !important;
}

@media (max-width: 768px) {
    .cookiealert {
        bottom: 70px !important;
        /*
        right: 30px;
        left: auto !important;
        TODO: Bottom en 68 para xs;
        */
    }
}

.text-primary {
    color: var(--primary-color);
}

.btn-primary {
    color: #fff;
    background-color: var(--primary-color);
    font-weight: bold;
    border: 2px solid white;
    border-radius: 8px;
}

.btn-primary:hover {
    background-color: var(--primary-color-hover);
    border-color: white;
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 999;
    width: 60px;
    margin-bottom: -330px;
    padding-top: 100px;
}


